{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-240.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-networkmanager-qt-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpzizp69zc/kf5-networkmanager-qt-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 14:03:09",
        "time-finished": "2024-07-03 14:08:12",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpzizp69zc/kf5-networkmanager-qt-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpzizp69zc/kf5-networkmanager-qt-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9223ad8e66a363d2e8bd0bf7a58f74dfd4c289e7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-networkmanager-qt-5.115.0-build/networkmanager-qt-5.115.0/src/utils.cpp",
                    "line": 595,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'r' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-networkmanager-qt-5.115.0-build/networkmanager-qt-5.115.0/src/utils.cpp",
                    "line": 595,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'r' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  593|       if (r == -1 && errno == EINVAL) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  594|           clk_id = CLOCK_MONOTONIC;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  595|->         r = clock_gettime(clk_id, &tp);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  596|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  597|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-networkmanager-qt-5.115.0-build/networkmanager-qt-5.115.0/src/manager.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 1016 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-networkmanager-qt-5.115.0-build/networkmanager-qt-5.115.0/src/manager.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 1490 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
